Loading...
Searching...
No Matches
sccc_encoder.h File Reference
`#include <gnuradio/sync_block.h>`
`#include <gnuradio/trellis/api.h>`
`#include <gnuradio/trellis/fsm.h>`
`#include <gnuradio/trellis/interleaver.h>`
`#include <vector>`
Include dependency graph for sccc_encoder.h:

Go to the source code of this file.

## Classes

class | gr::trellis::sccc_encoder< IN_T, OUT_T >
| SCCC encoder. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::trellis

## Typedefs

typedef sccc_encoder< std::uint8_t, std::uint8_t > | gr::trellis::sccc_encoder_bb
typedef sccc_encoder< std::uint8_t, std::int16_t > | gr::trellis::sccc_encoder_bs
typedef sccc_encoder< std::uint8_t, std::int32_t > | gr::trellis::sccc_encoder_bi
typedef sccc_encoder< std::int16_t, std::int16_t > | gr::trellis::sccc_encoder_ss
typedef sccc_encoder< std::uint8_t, std::int32_t > | gr::trellis::sccc_encoder_si
typedef sccc_encoder< std::int32_t, std::int32_t > | gr::trellis::sccc_encoder_ii